Subject: bug#25204: closed (Re: bug#25204: 25.1.50; I can't change the scroll-lock setting when Emacs has the focus)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Dec 2016 18:05:01 +0000

Your bug report

#25204: 25.1.50; I can't change the scroll-lock setting when Emacs has the focus

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25204: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25204
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25204: 25.1.50; I can't change the scroll-lock setting when Emacs has the focus
From: Eli Zaretskii <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Dec 2016 20:03:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dani Moncayo <[email-masked]>
> Date: Sun, 18 Dec 2016 22:40:25 +0100
> Cc: [email-masked]
> 
> > If you set w32-scroll-lock-modifier to t, does that produce the
> > behavior you expect?
> 
> Yes.

OK, I documented how to get the behavior you wanted, and I'm marking
this bug done.

> FWIW: IMO, the default behavior should be let the scroll-lock key
> toggle the scroll-lock status.  Definitely.

Well, as I said, this was changed from t to nil 7 years ago, see
bug#2827.  The reason that was done seems no longer be pertinent, but
still, we had this default since then, so I don't think we should
change it.

Thanks.

Subject: 25.1.50; I can't change the scroll-lock setting when Emacs has the focus
From: Dani Moncayo <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Thu, 15 Dec 2016 16:17:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When Emacs has the focus, pressing the <scroll> key (usually labelled
"scroll lock") has no effect, i.e., if scroll-lock was enabled at that
moment, it remains enabled (and vice-versa).

If I select another application, then the above problem disappears,
i.e., I can't switch on/off the scroll-lock setting.

Tested with "emacs -Q".

In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
 of 2016-11-12 built on LEG570
Repository revision: 9ad2ae7757b96d5887c3c0547fcd62e558cadd23
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --host=i686-pc-mingw32'

-- 
Dani Moncayo